## kdepim-addons 21.08.1

=== debian/changelog ===
kdepim-addons (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:45 +0100

kdepim-addons (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:15 +0100

kdepim-addons (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:19 +0100

kdepim-addons (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:42:35 +0100

kdepim-addons (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:17 +0100

kdepim-addons (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:50 +0100

kdepim-addons (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:27 +0100

kdepim-addons (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:14 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kaddressbook (>= 4:21.08.1~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:21.08.1~),
               libkf5akonadinotes-dev (>= 4:21.08.1~),
               libkf5calendarsupport-dev (>= 4:21.08.1~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.08.1~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:21.08.1~),
               libkf5grantleetheme-dev (>= 21.08.1~),
               libkf5gravatar-dev (>= 4:21.08.1~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 21.08.1~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 21.08.1~),
               libkf5ksieve-dev (>= 4:21.08.1~),
               libkf5libkdepim-dev (>= 4:21.08.1~),
               libkf5libkleo-dev (>= 4:21.08.1~),
               libkf5mailcommon-dev (>= 4:21.08.1~),
               libkf5mailimporter-dev (>= 4:21.08.1~),
               libkf5messagecomposer-dev (>= 4:21.08.1~),
               libkf5messagecore-dev (>= 4:21.08.1~),
               libkf5messagelist-dev (>= 4:21.08.1~),
               libkf5messageviewer-dev (>= 4:21.08.1~),
               libkf5mimetreeparser-dev (>= 4:21.08.1~),
               libkf5pimcommon-dev (>= 4:21.08.1~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:21.08.1~),
               libkf5tnef-dev (>= 4:21.08.1~),
               libkf5webengineviewer-dev (>= 4:21.08.1~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 21.08.1~),
               libkpimimportwizard-dev (>= 4:21.08.1~),
               libkpimitinerary-dev (>= 21.08.1~),
               libkpimpkpass-dev (>= 21.08.1~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")


include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)
include(ECMGeneratePriFile)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)

find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Declarative ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(MAILCOMMON_LIB_VERSION "5.19.3")
set(GRAVATAR_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
set(GRANTLEETHEME_LIB_VERSION "5.19.3")
set(CALENDARSUPPORT_LIB_VERSION "5.19.3")
set(EVENTVIEW_LIB_VERSION "5.19.3")
set(LIBKDEPIM_LIB_VERSION "5.19.3")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "5.19.3")
set(LIBKLEO_LIB_VERSION "5.19.3")
set(AKONADI_LIB_VERSION "5.19.3")
set(INCIDENCEEDITOR_LIB_VERSION "5.19.3")
set(KTNEF_LIB_VERSION "5.19.3")
set(MESSAGELIB_LIB_VERSION "5.19.3")
set(AKONADICALENDAR_LIB_VERSION "5.19.3")
set(CALENDAR_UTILS_VERSION "5.19.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
set(KIMAP_LIB_VERSION "5.19.3")
set(LIBKSIEVE_LIB_VERSION "5.19.3")
set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(AKONADICONTACT_LIB_VERSION "5.19.3")
set(IMPORTWIZARD_LIB_VERSION "5.19.3")
set(MAILIMPORTER_LIB_VERSION "5.19.3")
set(KPIMPKPASS_LIB_VERSION "5.19.3")
set(KPIMITINERARY_LIB_VERSION "5.19.3")
set(KONTACTINTERFACE_LIB_VERSION "5.19.3")
set(AKONADINOTES_LIB_VERSION "5.19.3")
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimAddressbookImportExport ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION} CONFIG)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimItinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)

set(GRANTLEE_LIB_VERSION "5.2.0")
find_package(Grantlee5 ${GRANTLEE_LIB_VERSION} CONFIG REQUIRED)


if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ENTERPRISE_BUILD true)
else()
  set(KDEPIM_ENTERPRISE_BUILD false)
endif()

# Extra package
find_package(Gpgmepp 1.13.1 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")

find_package(Discount "2")
set_package_properties("discount" PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file.")

if(discount_FOUND)
   if (${PC_LIBMARKDOWN_VERSION})
      if (${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
           set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
           MESSAGE(STATUS "Discount ${PC_LIBMARKDOWN_VERSION}: has hightlighting support")
      endif()
   endif()
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if(KPimImportWizard_FOUND)
  add_subdirectory(akonadi-import-wizard)
endif()

ecm_qt_install_logging_categories(
    EXPORT KDEPIMADDONS
    FILE kdepim-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kmail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(plugins)
add_subdirectory(editorplugins)
add_subdirectory(editorsendcheckplugins)
add_subdirectory(editorinitplugins)
add_subdirectory(editorconvertertextplugins)
add_subdirectory(grammarplugins)
add_subdirectory(checkbeforedeletemailplugins)

=== kmailtransport/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"kmailtransport_plugins\")
if (NOT WIN32)
    add_subdirectory(sendmail)
endif()

=== akonadi-import-wizard/evolutionv1/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(evolutionv1importerplugin SOURCES
    evolutionv1importdata.cpp evolutionv1importdata.h INSTALL_NAMESPACE importwizard)


target_link_libraries(evolutionv1importerplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
  KF5::MessageViewer
)

=== akonadi-import-wizard/evolutionv2/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(evolutionv2importerplugin SOURCES
    evolutionv2importdata.cpp  evolutionv2importdata.h INSTALL_NAMESPACE importwizard)


target_link_libraries(evolutionv2importerplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
  KF5::MessageViewer
)

=== akonadi-import-wizard/mailapp/CMakeLists.txt ===
set(mailappimporter_SRCS
   mailappimportdata.cpp  
)

kcoreaddons_add_plugin(mailappimporterplugin SOURCES
    ${mailappimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(mailappimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== akonadi-import-wizard/nylas-mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(nylasmailimporterplugin INSTALL_NAMESPACE importwizard)
target_sources(nylasmailimporterplugin PRIVATE
   nylasmailsettings.cpp
   nylasmaildata.cpp
   nylasmailsettings.h
   nylasmaildata.h
)

ecm_qt_declare_logging_category(nylasmailimporterplugin HEADER nylasmailplugin_debug.h IDENTIFIER NYLASMAILPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.nylasmailplugin)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(nylasmailimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(nylasmailimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== akonadi-import-wizard/oe/CMakeLists.txt ===
set(oeimporter_SRCS
   oeimportdata.cpp  
)

kcoreaddons_add_plugin(oeimporterplugin SOURCES
    ${oeimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(oeimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== akonadi-import-wizard/opera/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(operaimporterplugin INSTALL_NAMESPACE importwizard)
target_sources(operaimporterplugin PRIVATE
   operaaddressbook.cpp  
   operaimportdata.cpp  
   operasettings.cpp
   operaaddressbook.h
   operaimportdata.h
   operasettings.h
)

ecm_qt_declare_logging_category(operaimporterplugin HEADER operaplugin_debug.h IDENTIFIER OPERAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.operaplugin)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(operaimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(operaimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
)

=== akonadi-import-wizard/pmail/CMakeLists.txt ===
set(pmailimporter_SRCS
   pmailimportdata.cpp  
   pmailsettings.cpp
)

kcoreaddons_add_plugin(pmailimporterplugin SOURCES
    ${pmailimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(pmailimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
)

=== kaddressbook/importexportplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_importexportplugins\")

add_definitions(-DQGPGME_FOUND)

add_subdirectory(vcards)
add_subdirectory(csv)
add_subdirectory(gmx)
add_subdirectory(ldap)
add_subdirectory(ldif)
add_subdirectory(windows-contacts)

=== kmail/checkbeforedeletemailplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_checkbeforedeleting_pluginsS\")
add_subdirectory(confirmbeforedeleting)

=== debian/changelog ===
kdepim-addons (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:33 +0000

kdepim-addons (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key
  * Add 'export DEB_BUILD_MAINT_OPTIONS = optimize=-lto' to debian/rules to
    workaround FTBFS with latest toolchain in jammy

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:16:03 +0000

kdepim-addons (21.12.1-0ubuntu2) jammy; urgency=medium

  * Build against release pocket.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Jan 2022 14:51:14 +0000

kdepim-addons (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:52 +0000

kdepim-addons (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:59 +0000

kdepim-addons (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:13 +0000

kdepim-addons (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:30:17 +0000

kdepim-addons (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)
  * Update lintian override for package-name-doesnt-match-sonames

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:08 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kaddressbook (>= 4:21.12.3~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5akonadinotes-dev (>= 4:21.12.3~),
               libkf5calendarsupport-dev (>= 4:21.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.12.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:21.12.3~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5gravatar-dev (>= 4:21.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 21.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 21.12.3~),
               libkf5ksieve-dev (>= 4:21.12.3~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5libkleo-dev (>= 4:21.12.3~),
               libkf5mailcommon-dev (>= 4:21.12.3~),
               libkf5mailimporter-dev (>= 4:21.12.3~),
               libkf5messagecomposer-dev (>= 4:21.12.3~),
               libkf5messagecore-dev (>= 4:21.12.3~),
               libkf5messagelist-dev (>= 4:21.12.3~),
               libkf5messageviewer-dev (>= 4:21.12.3~),
               libkf5mimetreeparser-dev (>= 4:21.12.3~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:21.12.3~),
               libkf5tnef-dev (>= 4:21.12.3~),
               libkf5webengineviewer-dev (>= 4:21.12.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 21.12.3~),
               libkpimimportwizard-dev (>= 4:21.12.3~),
               libkpimitinerary-dev (>= 21.12.3~),
               libkpimpkpass-dev (>= 21.12.3~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 22.08.1

=== debian/changelog ===
kdepim-addons (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:01 +0100

kdepim-addons (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:49:03 +0100

kdepim-addons (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:08 +0100

kdepim-addons (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:28 +0100

kdepim-addons (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:29 +0100

kdepim-addons (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:58:06 +0100

kdepim-addons (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,45 +7,45 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               kaddressbook (>= 4:21.12.3~),
+               kaddressbook (>= 4:22.08.1~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadinotes-dev (>= 4:21.12.3~),
-               libkf5calendarsupport-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadinotes-dev (>= 4:22.08.1~),
+               libkf5calendarsupport-dev (>= 4:22.08.1~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
+               libkf5contacteditor-dev (>= 4:22.08.1~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:21.12.3~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
-               libkf5gravatar-dev (>= 4:21.12.3~),
+               libkf5eventviews-dev (>= 4:22.08.1~),
+               libkf5grantleetheme-dev (>= 22.08.1~),
+               libkf5gravatar-dev (>= 4:22.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5incidenceeditor-dev (>= 21.12.3~),
+               libkf5incidenceeditor-dev (>= 22.08.1~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 21.12.3~),
-               libkf5ksieve-dev (>= 4:21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5libkleo-dev (>= 4:21.12.3~),
-               libkf5mailcommon-dev (>= 4:21.12.3~),
-               libkf5mailimporter-dev (>= 4:21.12.3~),
-               libkf5messagecomposer-dev (>= 4:21.12.3~),
-               libkf5messagecore-dev (>= 4:21.12.3~),
-               libkf5messagelist-dev (>= 4:21.12.3~),
-               libkf5messageviewer-dev (>= 4:21.12.3~),
-               libkf5mimetreeparser-dev (>= 4:21.12.3~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
+               libkf5kontactinterface-dev (>= 22.08.1~),
+               libkf5ksieve-dev (>= 4:22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5libkleo-dev (>= 4:22.08.1~),
+               libkf5mailcommon-dev (>= 4:22.08.1~),
+               libkf5mailimporter-dev (>= 4:22.08.1~),
+               libkf5messagecomposer-dev (>= 4:22.08.1~),
+               libkf5messagecore-dev (>= 4:22.08.1~),
+               libkf5messagelist-dev (>= 4:22.08.1~),
+               libkf5messageviewer-dev (>= 4:22.08.1~),
+               libkf5mimetreeparser-dev (>= 4:22.08.1~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
                libkf5prison-dev (>= 5.39.0~),
                libkf5syntaxhighlighting-dev,
-               libkf5templateparser-dev (>= 4:21.12.3~),
-               libkf5tnef-dev (>= 4:21.12.3~),
-               libkf5webengineviewer-dev (>= 4:21.12.3~),
+               libkf5templateparser-dev (>= 4:22.08.1~),
+               libkf5tnef-dev (>= 4:22.08.1~),
+               libkf5webengineviewer-dev (>= 4:22.08.1~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 21.12.3~),
-               libkpimimportwizard-dev (>= 4:21.12.3~),
-               libkpimitinerary-dev (>= 21.12.3~),
-               libkpimpkpass-dev (>= 21.12.3~),
+               libkpimgapi-dev (>= 22.08.1~),
+               libkpimimportwizard-dev (>= 4:22.08.1~),
+               libkpimitinerary-dev (>= 22.08.1~),
+               libkpimpkpass-dev (>= 22.08.1~),
                libmarkdown2-dev (>= 2),
                libpoppler-qt5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),

## kdepim-addons 22.08.3

=== debian/changelog ===
kdepim-addons (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:56:04 +0100

kdepim-addons (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:14:02 +0200

kdepim-addons (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:12:21 +0200

kdepim-addons (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:48:33 +0200

kdepim-addons (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:53 +0200

kdepim-addons (22.04.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:46 +0200

kdepim-addons (22.04.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump kaddressbook build dependency to 22.04.2.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 21:05:56 +0200

kdepim-addons (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:49:11 +0200

kdepim-addons (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 21:41:39 +0200

kdepim-addons (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:12:05 +0200

kdepim-addons (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:39:34 +0100

kdepim-addons (21.08.1-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Add PIM Adressbook import/export to B-D (Closes: #996814).

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Nov 2021 13:53:14 +0900

kdepim-addons (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:20:52 +0900

kdepim-addons (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:09:50 +0900

kdepim-addons (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:34:13 +0900

kdepim-addons (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:09:58 +0900

kdepim-addons (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:12 +0900

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libgpgmepp-dev (>= 1.16.0~),
               libgrantlee5-dev (>= 5.2.0~),
               libkf5akonadi-dev (>= 4:22.08.3~),
               libkf5akonadicalendar-dev (>= 4:22.08.3~),
               libkf5akonadicontact-dev (>= 4:22.08.3~),
               libkf5akonadinotes-dev (>= 4:22.08.3~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5calendarsupport-dev (>= 4:22.08.3~),
               libkf5calendarutils-dev (>= 4:22.08.3~),
               libkf5config-dev (>= 5.95.0~),
               libkf5contacteditor-dev (>= 4:22.08.3~),
               libkf5contacts-dev (>= 5:5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5declarative-dev (>= 5.95.0~),
               libkf5eventviews-dev (>= 4:22.08.3~),
               libkf5grantleetheme-dev (>= 22.08.3~),
               libkf5gravatar-dev (>= 4:22.08.3~),
               libkf5guiaddons-dev (>= 5.95.0~),
               libkf5holidays-dev (>= 1:5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5iconthemes-dev (>= 5.95.0~),
               libkf5identitymanagement-dev,
               libkf5imap-dev (>= 22.08.3~),
               libkf5incidenceeditor-dev (>= 22.08.3~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5ksieve-dev (>= 4:22.08.3~),
               libkf5libkdepim-dev (>= 4:22.08.3~),
               libkf5libkleo-dev (>= 4:22.08.3~),
               libkf5mailcommon-dev (>= 4:22.08.3~),
               libkf5mailimporter-dev (>= 4:22.08.3~),
               libkf5mailtransport-dev (>= 22.08.3~),
               libkf5messagecomposer-dev (>= 4:22.08.3~),
               libkf5messagecore-dev (>= 4:22.08.3~),
               libkf5messagelist-dev (>= 4:22.08.3~),
               libkf5messageviewer-dev (>= 4:22.08.3~),
               libkf5parts-dev (>= 5.95.0~),
               libkf5pimcommon-dev (>= 4:22.08.3~),
               libkf5pimtextedit-dev (>= 22.08.3~),
               libkf5prison-dev (>= 5.95.0~),
               libkf5syntaxhighlighting-dev (>= 5.95.0~),
               libkf5templateparser-dev (>= 4:22.08.3~),
               libkf5tnef-dev (>= 4:22.08.3~),
               libkf5webengineviewer-dev (>= 4:22.08.3~),
               libkf5xmlgui-dev (>= 5.95.0~),
               libkpimaddressbookimportexport-dev (>= 4:22.08.3~),
               libkpimimportwizard-dev (>= 4:22.08.3~),
               libkpimitinerary-dev (>= 22.08.3~),
               libkpimpkpass-dev (>= 22.08.3~),
               libmarkdown2-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
